Éditeur simple sous Mac ?

Le
Alex Marandon
Bonjour,

Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en premier
lieu des programmeurs (designer, editeur de contenu) et qui
traivaillent exclusivement sous Mac OS X ? Pour le moment, ils utilisent
Eclipse et BBEdit, mais le premier est très lourd, lent, compliqué et
plein de bugs tandis que le second met parfois le bazar dans
l'indentation et ne propose pas une intégration très poussée avec svn.

Merci pour vos conseils,
Alex
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 3
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Jerome Lambert
Le #18711411
Alex Marandon a écrit :
Bonjour,



Bonjour,

Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en premier
lieu des programmeurs (designer, editeur de contenu...) et qui
traivaillent exclusivement sous Mac OS X ? Pour le moment, ils utilisent
Eclipse et BBEdit, mais le premier est très lourd, lent, compliqué et
plein de bugs tandis que le second met parfois le bazar dans
l'indentation et ne propose pas une intégration très poussée avec svn.




Smultron?
Alain Reymond
Le #18712201
Je vous conseille jEdit : http://www.jedit.org/
Il y a un plugin pour Subversion.
Développé en java, l'éditeur tourne sous plusieurs systèmes.
C'est un excellent programme.

Cordialement,

Alain

Alex Marandon a écrit :
Bonjour,

Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en
premier lieu des programmeurs (designer, editeur de contenu...) et qui
traivaillent exclusivement sous Mac OS X ? Pour le moment, ils
utilisent Eclipse et BBEdit, mais le premier est très lourd, lent,
compliqué et plein de bugs tandis que le second met parfois le bazar
dans l'indentation et ne propose pas une intégration très poussée avec
svn.

Merci pour vos conseils,
Alex


OdarR
Le #18713721
On 19 fév, 13:18, Alex Marandon
Bonjour,

Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en premie r
lieu des programmeurs (designer, editeur de contenu...) et qui
traivaillent exclusivement sous Mac OS X ? Pour le moment, ils utilisent
Eclipse et BBEdit, mais le premier est très lourd, lent, compliqué et
plein de bugs tandis que le second met parfois le bazar dans
l'indentation et ne propose pas une intégration très poussée avec s vn.



moi j'ai opté pour emacs, voire Carbon Emacs.

ça demande un petit effort au départ (=investissement en temps), mais
c'est sérieux, léger, évolutif, et celà permet de rester sous
Terminal.app en compagnie de iPython (un must!!).

Olivier

Olivier
OdarR
Le #18713961
On 19 fév, 13:18, Alex Marandon
Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en premie r
lieu des programmeurs (designer, editeur de contenu...) et qui
traivaillent exclusivement sous Mac OS X ? Pour le moment, ils utilisent
Eclipse et BBEdit, mais le premier est très lourd, lent, compliqué et
plein de bugs tandis que le second met parfois le bazar dans
l'indentation et ne propose pas une intégration très poussée avec s vn.



Sinon, plus direct que Emacs...
avez-vous essayé l'éditeur fourni avec IDLE.app (standard avec
Python) ?
Une simple ouverture de fichier (cmd+o) permet de révéler cet éditeur
Python.
Il gère les indentations et tout....
pas mal, gratuit, sans Terminal ;-), léger...
seule la "dédentation" au clavier semble ne pas fonctionner sur mon MB
(cmd+[ ). Avec le menu pas de soucis.
Give it a Try !

Olivier
Francois G
Le #18715511
Alex Marandon a écrit :
Bonjour,

Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en premier
lieu des programmeurs (designer, editeur de contenu...) et qui
traivaillent exclusivement sous Mac OS X ? Pour le moment, ils utilisent
Eclipse et BBEdit, mais le premier est très lourd, lent, compliqué et
plein de bugs tandis que le second met parfois le bazar dans
l'indentation et ne propose pas une intégration très poussée avec svn.



Franchement, le plugin PyDev est loin d'être mauvais, et l'intégration
d'eclipse à subversion via le plugin subversive est assez neuneu-proof à
ce que je constate chez mes élèves corporate.

Certes, c'est gras en RAM, mais de nos jours, est-ce encore un problème
? Si on peut s'offrir un mac, on peut s'offrir le giga de RAM qui va
avec ...

--
mutah
Alex Marandon
Le #18716961
Francois G wrote:
Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en
premier lieu des programmeurs (designer, editeur de contenu...) et qui
traivaillent exclusivement sous Mac OS X ? Pour le moment, ils
utilisent Eclipse et BBEdit, mais le premier est très lourd, lent,
compliqué et plein de bugs tandis que le second met parfois le bazar
dans l'indentation et ne propose pas une intégration très poussée avec
svn.



Franchement, le plugin PyDev est loin d'être mauvais, et l'intégration
d'eclipse à subversion via le plugin subversive est assez neuneu-proof à
ce que je constate chez mes élèves corporate.



Le problème avec subversion, c'est qu'une erreur apparait de manière
imprévisible. "SVN client is too old", qu'il dit. Bien sûr, j'ai essayé
de mettre à jour les clients svn sur ces postes, rien n'y a fait. La
seul "solution" que j'ai trouvée est d'effacer le checkout et repartir
sur une copie fraiche. Remarque je ne sais pas s'ils utilisent
subversive ou un autre plugin, je vais vérifier.

Certes, c'est gras en RAM, mais de nos jours, est-ce encore un problème
? Si on peut s'offrir un mac, on peut s'offrir le giga de RAM qui va
avec ...



Oui je crois qu'ils en ont deux, des gigags. Ça reste très lent.
Notamment, sauvegarder ses modifications prends facilement cinq secondes.
Alex Marandon
Le #18716951
OdarR wrote:
On 19 fév, 13:18, Alex Marandon
Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en premier
lieu des programmeurs (designer, editeur de contenu...)




(...)
moi j'ai opté pour emacs, voire Carbon Emacs.

ça demande un petit effort au départ (=investissement en temps), mais



Ça ne passeras pas, à la première frustation ils repasseront sur Eclipse
et BBEDit.

c'est sérieux, léger, évolutif, et celà permet de rester sous
Terminal.app en compagnie de iPython (un must!!).




Le genre de personne dont il est question fait tout pour éviter
d'utiliser le terminal, alors iPyhon, n'en parlons pas ;-)
Alex Marandon
Le #18717271
Jerome Lambert wrote:
Alex Marandon a écrit :
Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en
premier lieu des programmeurs (designer, editeur de contenu...)




(...)
Smultron?



Je l'ai un peu essayé, il a l'air sympathique et en cochant l'option qui
va bien dans les préférences avancées, il a l'air de gérer l'indentation
correctement.
Christophe
Le #18717261
Alex Marandon a écrit :
Francois G wrote:
Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en
premier lieu des programmeurs (designer, editeur de contenu...) et
qui traivaillent exclusivement sous Mac OS X ? Pour le moment, ils
utilisent Eclipse et BBEdit, mais le premier est très lourd, lent,
compliqué et plein de bugs tandis que le second met parfois le bazar
dans l'indentation et ne propose pas une intégration très poussée
avec svn.



Franchement, le plugin PyDev est loin d'être mauvais, et l'intégration
d'eclipse à subversion via le plugin subversive est assez neuneu-proof
à ce que je constate chez mes élèves corporate.



Le problème avec subversion, c'est qu'une erreur apparait de manière
imprévisible. "SVN client is too old", qu'il dit. Bien sûr, j'ai essayé
de mettre à jour les clients svn sur ces postes, rien n'y a fait. La
seul "solution" que j'ai trouvée est d'effacer le checkout et repartir
sur une copie fraiche. Remarque je ne sais pas s'ils utilisent
subversive ou un autre plugin, je vais vérifier.



C'est très simple comment ça arrive. Si tu utilises, on va dire, svn 1.2
dans Eclipse, tout va bien et ton repository est en 1.2. Si par contre
un jour tu fais un update avec un client svn 1.4, il va automatiquement
convertir le repository local en version 1.4 incompatible avec un client
svn 1.2.

C'est tout simplement tes utilisateurs qui font une manip quelconque
avec un autre client svn récent (TortoiseSVN par exemple ?) qui font ce
problème. Donc soit tu met à jour le plugin svn d'Eclipse (pas sur qu'il
soit bien à jour par contre, c'est souvent ça le problème), soit tu
trouves les autres applis svn trop récentes et tu les fait repasser à
une version plus ancienne et tu précise bien qu'il ne faut pas la mettre
à jour comme ça sans faire attention.
Alex Marandon
Le #18717251
OdarR wrote:
On 19 fév, 13:18, Alex Marandon
Quel éditeur conseilleriez-vous pour des gens qui ne sont pas en premier
lieu des programmeurs (designer, editeur de contenu...) et qui
traivaillent exclusivement sous Mac OS X ?




(...)
avez-vous essayé l'éditeur fourni avec IDLE.app (standard avec
Python) ?



Oui, ils l'ont déja essayé et rejeté, je ne sais pas pourquoi.
Publicité
Poster une réponse
Anonyme